<form name="shopBlockingFrom" novalidate ng-submit="addBlockingComment(shopBlockingFrom.$valid, blockingMessage, modalOptions.isGrid)">
    <div class="modal-header">
        <h3>{{modalOptions.header}}</h3>
    </div>
    <div class="modal-body" >
        <div class="form-group" ng-if="modalOptions.isGrid">
            <div id="gridBlockingHistory" ui-grid="vm.blockingHistoryGridOptions"
                 ng-style="{'height': blockingHistoryGridHeight + 'px'}"
                 ui-grid-auto-resize class="grid height-transition">
            </div>
            <div class="clearfix">
                <div class="col-sm-12 text-center">
                    <uib-pagination ng-if="vm.blockingHistoryMeta.totalCount > vm.blockingHistoryMeta.limit"
                        max-size="10"   total-items="vm.blockingHistoryMeta.totalCount"
                        items-per-page="vm.blockingHistoryMeta.limit" ng-model="vm.blockingHistoryMeta.page"
                        ng-change="vm.readBlockingHistoryItems()"></uib-pagination>
                </div>
            </div>
        </div>
        <div class="form-group">
            <textarea class="form-control fixed-resize"
                name="blockingMessage" maxlength="255"
                placeholder="Write your reason to blocking here"
                ng-model="blockingMessage">
            </textarea>
        </div>
    </div>
    <div class="modal-footer">
        <button class="btn btn-primary" ng-disabled="!blockingMessage" type="submit" >Add</button>
        <button class="btn btn-warning" type="button" ng-click="cancel()">Cancel</button>
    </div>
</form>
